package body MSHTML.IDOMMouseWheelEvent_Object is

   function Get_wheelDelta
     (This : IDOMMouseWheelEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IDOMMouseWheelEvent_Get_wheelDelta);
   end Get_wheelDelta;

   procedure initMouseWheelEvent
     (This             : IDOMMouseWheelEvent_Type;
      eventType        : GNATCOM.Types.VARIANT;
      canBubble        : GNATCOM.Types.VARIANT;
      cancelable       : GNATCOM.Types.VARIANT;
      viewArg          : GNATCOM.Types.VARIANT;
      detailArg        : GNATCOM.Types.VARIANT;
      screenXArg       : GNATCOM.Types.VARIANT;
      screenYArg       : GNATCOM.Types.VARIANT;
      clientXArg       : GNATCOM.Types.VARIANT;
      clientYArg       : GNATCOM.Types.VARIANT;
      buttonArg        : GNATCOM.Types.VARIANT;
      relatedTargetArg : GNATCOM.Types.VARIANT;
      modifiersListArg : GNATCOM.Types.VARIANT;
      wheelDeltaArg    : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
   is
   begin
      Invoke
        (This,
         IDOMMouseWheelEvent_initMouseWheelEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => wheelDeltaArg,
          2 => modifiersListArg,
          3 => relatedTargetArg,
          4 => buttonArg,
          5 => clientYArg,
          6 => clientXArg,
          7 => screenYArg,
          8 => screenXArg,
          9 => detailArg,
          10 => viewArg,
          11 => cancelable,
          12 => canBubble,
          13 => eventType),
         Free);
   end initMouseWheelEvent;

end MSHTML.IDOMMouseWheelEvent_Object;

